<?php

/*

	Plugin Name: Born on this day
	Plugin URI: http://www.joeswebtools.com/
	Description: Adds a sidebar widget that display famous people born on this day in history.
	Version: 1.2
	Author: Philippe Paquet
	Author URI: http://www.philippepaquet.com/

	Copyright 2009 Philippe Paquet (email: philippe@paquet.net)

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

function widget_born_on_this_day($args)
{
	// Pre-2.6 compatibility
	if(!defined('WP_PLUGIN_URL'))
	{
		if(!defined('WP_CONTENT_URL'))
		{
			define('WP_CONTENT_URL', get_option('siteurl') . '/wp-content');
		}
		define('WP_PLUGIN_URL', WP_CONTENT_URL . '/plugins');
	}
	if(!defined('WP_PLUGIN_DIR'))
	{
		if(!defined('WP_CONTENT_DIR'))
		{
			define('WP_CONTENT_DIR', ABSPATH . 'wp-content');
		}
		define('WP_PLUGIN_DIR', WP_CONTENT_DIR . '/plugins');
	}

	// Get options
	$options = get_option('widget_born_on_this_day');

	// Set defaults if the options don't exist
	if(!is_array($options))
	{
		$options = array('title' => __('Born on this day'));
	}

	// Get options for form fields to show
	$title = htmlspecialchars($options['title'], ENT_QUOTES);

	// Help widget to conform to the active theme: before_widget, before_title and after_title
	extract($args);
	echo $before_widget . $before_title . $title . $after_title;

	// Get 
	$month_array = file(WP_PLUGIN_DIR . '/born-on-this-day/' . date('m') . '.txt');
	$day = date('j');
	$people = $month_array[$day - 1];

	// Display people born done on this day
	echo "$people";
	echo '<div style="text-align: right;"><font face="arial" size="-3"><a href="http://www.joeswebtools.com">Joe\'s</a></font></div>';

	// Help widget to conform to the active theme: after_widget
	echo $after_widget;
}

function widget_born_on_this_day_control()
{
	// Get options
	$options = get_option('widget_born_on_this_day');

	// Set defaults if the options don't exist
	if(!is_array($options))
	{
		$options = array('title' => __('Born on this day'));
	}

	// form posted?
	if($_POST['widget-born-on-this-day-submit'])
	{
		// Remember to sanitize and format use input appropriately.
		$options['title'] = strip_tags(stripslashes($_POST['widget-born-on-this-day-title']));
		update_option('widget_born_on_this_day', $options);
	}

	// Get options for form fields to show
	$title = htmlspecialchars($options['title'], ENT_QUOTES);

	// The form fields
	echo '<label for="widget-born-on-this-day-title">' . __('Title: ') . '<input id="widget-born-on-this-day-title" name="widget-born-on-this-day-title" type="text" value="' . $title . '" /></label>';
	echo '<input type="hidden" id="widget-born-on-this-day-submit" name="widget-born-on-this-day-submit" value="1" />';
}

function widget_born_on_this_day_init()
{
	if(function_exists('register_sidebar_widget'))
	{
		register_sidebar_widget('Born on this day', 'widget_born_on_this_day');
	}

	if(function_exists('register_widget_control'))
	{
		register_widget_control(array('Born on this day', 'widgets'), 'widget_born_on_this_day_control');
	}
}

add_action('plugins_loaded', 'widget_born_on_this_day_init');

?>
